| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
WriterResourceLimitsQos Class Reference

Qos Policy to configure the limit of the writer resources. More...

`#include <QosPolicies.hpp>`

## Public Member Functions

FASTDDS_EXPORTED_API | WriterResourceLimitsQos ()
| Constructor.
virtual FASTDDS_EXPORTED_API | ~WriterResourceLimitsQos ()=default
| Destructor.
void | clear ()
bool | operator== (const WriterResourceLimitsQos &b) const

## Public Attributes

fastdds::ResourceLimitedContainerConfig | matched_subscriber_allocation
| Matched subscribers allocation limits.
fastdds::ResourceLimitedContainerConfig | reader_filters_allocation
| Reader filters allocation limits.

## Detailed Description

Qos Policy to configure the limit of the writer resources.

## Constructor & Destructor Documentation

## ◆ WriterResourceLimitsQos()

FASTDDS_EXPORTED_API WriterResourceLimitsQos | ( |  | ) |

inline

Constructor.

## ◆ ~WriterResourceLimitsQos()

virtual FASTDDS_EXPORTED_API ~WriterResourceLimitsQos | ( |  | ) |

virtual default

Destructor.

## Member Function Documentation

## ◆ clear()

void clear | ( |  | ) |

inline

## ◆ operator==()

bool operator== | ( | const WriterResourceLimitsQos & | b | ) | const

inline

## Member Data Documentation

## ◆ matched_subscriber_allocation

fastdds::ResourceLimitedContainerConfig matched_subscriber_allocation

Matched subscribers allocation limits.

## ◆ reader_filters_allocation

fastdds::ResourceLimitedContainerConfig reader_filters_allocation

Reader filters allocation limits.

The documentation for this class was generated from the following file:

- include/fastdds/dds/core/policy/QosPolicies.hpp